package com.ynet.life.sujrb.action;

import com.alibaba.fastjson.JSONObject;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.log.GENELog;
import com.ynet.life.base.LifeAction;
import com.ynet.life.platform.action.YQSendMsgUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/YQGetMsgMarginAction.class */
public class YQGetMsgMarginAction extends LifeAction {
    private static final String ERROR_CODE = "ERSMS0010";
    public String margin;
    public String payInfo;
    public String sendTotal;
    private static final String CCC_COMPONENT = "【【获取短信余量（短消息平台）】】";

    public String execute(Context context) throws GENEException {
        GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "开始");
        YQSendMsgUtils utils = new YQSendMsgUtils();
        try {
            String returnJson = utils.getMsgRage();
            JSONObject returnJo = JSONObject.parseObject(returnJson);
            if (returnJo.containsKey("ReturnStatus") && returnJo.getString("ReturnStatus").equals("Success")) {
                context.put(this.margin, utils.getJSONObjectValue(returnJo, "Overage"));
                context.put(this.payInfo, utils.getJSONObjectValue(returnJo, "Payinfo"));
                context.put(this.sendTotal, utils.getJSONObjectValue(returnJo, "SendTotal"));
            } else {
                GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "获取短信余量失败：".concat(String.valueOf(returnJson)));
            }
            GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "结束");
            return "0";
        } catch (Exception e) {
            GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "获取短信余量失败：".concat(String.valueOf(e)));
            throw new GENEException(ERROR_CODE, "查询失败");
        }
    }

    public void setMargin(String margin) {
        this.margin = margin;
    }

    public void setPayInfo(String payInfo) {
        this.payInfo = payInfo;
    }

    public void setSendTotal(String sendTotal) {
        this.sendTotal = sendTotal;
    }
}
